# $Revision: 1.31 $, $Date: 2012/06/02 10:58:33 $
Summary:	Disk Management Service
Name:		udisks
Version:	1.0.4
Release:	5
License:	GPL v2+
Group:		Libraries
Source0:	http://hal.freedesktop.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	86c63b2b5484f2060499a052b5b6256b
Source1:	%{name}.tmpfiles
URL:		http://www.freedesktop.org/wiki/Software/udisks
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	dbus-devel >= 1.0.0
BuildRequires:	dbus-glib-devel >= 0.82
BuildRequires:	device-mapper-devel >= 1.02
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.16.0
BuildRequires:	gtk-doc >= 1.3
BuildRequires:	intltool >= 0.36.0
BuildRequires:	libatasmart-devel >= 0.14
BuildRequires:	libtool
BuildRequires:	libxslt-progs
BuildRequires:	parted-devel >= 2.3
BuildRequires:	pkgconfig
BuildRequires:	polkit-devel >= 0.97
BuildRequires:	sg3_utils-devel
BuildRequires:	udev-devel >= 147
BuildRequires:	udev-glib-devel >= 147
Requires:	dbus >= 1.0.0
Requires:	polkit >= 0.97
Requires:	udev-core >= 147
Suggests:	dosfstools
Suggests:	e2fsprogs
Suggests:	mdadm
Suggests:	mount
Suggests:	mtools
Suggests:	ntfsprogs
Suggests:	util-linux
Suggests:	xfsprogs
Obsoletes:	DeviceKit-disks
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
udisks provides a daemon, D-Bus API and command line tools for
managing disks and storage devices.

%package devel
Summary:	D-Bus interface definitions for udisks
Summary(pl.UTF-8):	Definicje interfejsu D-Bus dla udisks
Group:		Development/Libraries
Obsoletes:	DeviceKit-disks-devel

%description devel
D-Bus interface definitions for udisks.

%description devel -l pl.UTF-8
Definicje interfejsu D-Bus dla udisks.

%package apidocs
Summary:	D-Bus interface documentation for udisks
Summary(pl.UTF-8):	Dokumentacja interfejsu D-Bus dla udisks
Group:		Documentation
Requires:	gtk-doc-common
Obsoletes:	DeviceKit-disks-apidocs

%description apidocs
D-Bus interface documentation for udisks.

%description apidocs -l pl.UTF-8
Dokumentacja interfejsu D-Bus dla udisks.

%package -n bash-completion-udisks
Summary:	bash-completion for udisks
Summary(pl.UTF-8):	bashowe uzupełnianie nazw dla udisks
Group:		Applications/Shells
Requires:	bash-completion

%description -n bash-completion-udisks
This package provides bash-completion for udisks.

%description -n bash-completion-udisks -l pl.UTF-8
Pakiet ten dostarcza bashowe uzupełnianie nazw dla udisks.

%package avahi
Summary:	udisks service configuration for avahi
Summary(pl.UTF-8):	Konfiguracja serwisu udisks dla avahi
Group:		Applications
Requires:	%{name} = %{version}-%{release}
Requires:	avahi

%description avahi
udisks service configuration for avahi.

%description avahi -l pl.UTF-8
Konfiguracja serwisu udisks dla avahi.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
# see https://bugs.freedesktop.org/show_bug.cgi?id=24265
install -d $RPM_BUILD_ROOT/var/run/udisks \
	$RPM_BUILD_ROOT/etc/bash_completion.d \
	$RPM_BUILD_ROOT/usr/lib/tmpfiles.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT{%{_sysconfdir}/profile.d/udisks-bash-completion.sh,/etc/bash_completion.d/udisks}

install %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

%find_lang udisks

%clean
rm -rf $RPM_BUILD_ROOT

%files -f udisks.lang
%defattr(644,root,root,755)
%doc AUTHORS HACKING NEWS README
%attr(755,root,root) %{_bindir}/udisks
%attr(755,root,root) %{_bindir}/udisks-tcp-bridge
%attr(755,root,root) %{_libexecdir}/udisks-daemon
%attr(755,root,root) %{_libexecdir}/udisks-helper-ata-smart-collect
%attr(755,root,root) %{_libexecdir}/udisks-helper-ata-smart-selftest
%attr(755,root,root) %{_libexecdir}/udisks-helper-change-filesystem-label
%attr(755,root,root) %{_libexecdir}/udisks-helper-change-luks-password
%attr(755,root,root) %{_libexecdir}/udisks-helper-create-partition
%attr(755,root,root) %{_libexecdir}/udisks-helper-create-partition-table
%attr(755,root,root) %{_libexecdir}/udisks-helper-delete-partition
%attr(755,root,root) %{_libexecdir}/udisks-helper-drive-benchmark
%attr(755,root,root) %{_libexecdir}/udisks-helper-drive-detach
%attr(755,root,root) %{_libexecdir}/udisks-helper-drive-poll
%attr(755,root,root) %{_libexecdir}/udisks-helper-fstab-mounter
%attr(755,root,root) %{_libexecdir}/udisks-helper-linux-md-check
%attr(755,root,root) %{_libexecdir}/udisks-helper-linux-md-remove-component
%attr(755,root,root) %{_libexecdir}/udisks-helper-mdadm-expand
%attr(755,root,root) %{_libexecdir}/udisks-helper-mkfs
%attr(755,root,root) %{_libexecdir}/udisks-helper-modify-partition
%attr(755,root,root) /sbin/umount.udisks
%attr(755,root,root) /lib/udev/udisks-dm-export
%attr(755,root,root) /lib/udev/udisks-part-id
%attr(755,root,root) /lib/udev/udisks-probe-ata-smart
%attr(755,root,root) /lib/udev/udisks-probe-sas-expander
/lib/udev/rules.d/80-udisks.rules
%config(noreplace) %verify(not md5 mtime size) /etc/dbus-1/system.d/org.freedesktop.UDisks.conf
%{_datadir}/polkit-1/actions/org.freedesktop.udisks.policy
%{_datadir}/dbus-1/system-services/org.freedesktop.UDisks.service
%attr(700,root,root) /var/lib/udisks
%attr(700,root,root) /var/run/udisks
/usr/lib/tmpfiles.d/%{name}.conf
%{_mandir}/man1/udisks-tcp-bridge.1*
%{_mandir}/man1/udisks.1*
%{_mandir}/man7/udisks.7*
%{_mandir}/man8/udisks-daemon.8*

%files devel
%defattr(644,root,root,755)
%{_datadir}/dbus-1/interfaces/org.freedesktop.UDisks.Adapter.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.UDisks.Device.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.UDisks.Expander.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.UDisks.Port.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.UDisks.xml
%{_npkgconfigdir}/udisks.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/udisks

%files -n bash-completion-udisks
%defattr(644,root,root,755)
/etc/bash_completion.d/udisks

%files avahi
%defattr(644,root,root,755)
%{_sysconfdir}/avahi/services/udisks.service

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: udisks.spec,v $
Revision 1.31  2012/06/02 10:58:33  arekm
- release 5

Revision 1.30  2012/03/06 20:50:29  wiget
- rel. 4

Revision 1.29  2012/01/31 11:55:33  baggins
- release 3

Revision 1.28  2012/01/31 11:32:21  baggins
- added tmpfiles config for systemd

Revision 1.27  2011/08/31 06:50:46  glen
- make /var/run/udisks at package creation time, as long as we have static /var/run

Revision 1.26  2011/08/30 20:44:42  kiesiu
- updated to 1.0.4

Revision 1.25  2011/08/26 06:45:48  wiget
- rel. 2

Revision 1.24  2011/06/29 16:11:26  megabajt
- updated to 1.0.3 (resolves CVE-2010-4661)

Revision 1.23  2011/03/08 14:01:01  uzsolt
- BR parted-devel >= 2.3
- rel 5

Revision 1.22  2011/02/27 07:55:12  arekm
- release 4

Revision 1.21  2011/02/12 14:19:43  wiget
- rel. 3

Revision 1.20  2011/02/11 01:33:25  sparky
- s/util-linux-ng7util-linux/

Revision 1.19  2011/01/22 19:10:32  arekm
- rel 2; R udev-core instead of udev

Revision 1.18  2010/12/08 08:35:39  uzsolt
- rel 1 (works for me)
- added url

Revision 1.17  2010/12/02 11:40:38  uzsolt
- 1.0.2
- rel 0.9 (need test)

Revision 1.16  2010/06/15 08:53:22  hawk
- release 3

Revision 1.15  2010/04/13 12:58:05  wiget
- avahi subpackage requires main package

Revision 1.14  2010/04/13 09:17:41  baggins
- avahi shit moved to separate package

Revision 1.13  2010/04/13 09:13:22  baggins
- rel 2
- moved bash completion to a separate package

Revision 1.12  2010/04/09 17:18:34  megabajt
- updated to 1.0.1 [CVE-2010-1149]

Revision 1.11  2010/03/25 20:17:47  megabajt
- renamed to udisks and updated to 1.0.0

Revision 1.10  2010/03/15 00:57:52  glen
- fix bash-completion install; rel 2

Revision 1.9  2009/11/17 13:39:34  zbyniu
- BR: docbook-dtd412-xml

Revision 1.8  2009/11/04 16:37:49  sls
- BR: dbus-glib-devel >= 0.82

Revision 1.7  2009/11/02 21:45:00  patrys
- 009

Revision 1.6  2009/10/16 22:07:40  megabajt
- updated to 008

Revision 1.5  2009/09/26 10:12:32  megabajt
- updated to 007

Revision 1.4  2009/08/31 21:44:50  patrys
- 006

Revision 1.3  2009/06/29 20:25:45  patrys
- 005

Revision 1.2  2009/05/07 20:48:21  megabajt
- added -devel subpackage

Revision 1.1  2009/05/07 16:48:38  megabajt
- new
